View Issue Details

IDProjectCategoryView StatusLast Update
0000748SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000748: Data in a single transaction is split across batches and is out of order on Firebird
Descriptionhttps://sourceforge.net/projects/symmetricds/forums/forum/739236/topic/5464121/index/page/1
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 75425ff8

2012-08-07 14:59:49

gwilmer

Details Diff
Issue 748 - Fix transaction splitting across multiple batches in Firebird by allowing a different transaction isolation level by platform.
0000748
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseInfo.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/derby/DerbyDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/derby/DerbyJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumPlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb/HsqlDbDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb/HsqlDbJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/informix/InformixDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/informix/InformixJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

SymmetricDS: master bf2dd74f

2012-08-07 15:52:30

gwilmer

Details Diff
Issue 748 - Fix transaction splitting across multiple batches in Firebird by allowing a different transaction isolation level by platform.
0000748
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File

SymmetricDS: master 4bc6a8d2

2012-08-07 18:48:15

chenson

Details Diff
Issue 748 - Fix transaction splitting across multiple batches in Firebird by allowing a different transaction isolation level by platform.
0000748
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2012-08-02 10:18 chenson New Issue
2012-08-02 10:18 chenson Status new => assigned
2012-08-02 10:18 chenson Assigned To => chenson
2012-08-05 10:25 chenson Assigned To chenson => gwilmer
2012-08-11 08:28 chenson Status assigned => resolved
2012-08-11 08:28 chenson Fixed in Version => 3.1.0
2012-08-11 08:28 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6141
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6142
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6145
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4bc6a8d2
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master bf2dd74f
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 75425ff8